## deepin-metacity-3.22.24-3.src.tar.gz

=== test/tokentest/Makefile ===
# completely hacked-up makefile, proceed at your own risk, etc

default:
	@echo "Try 'make tp' or 'make glib'"

tp: tokentest.c
	gcc `pkg-config --cflags --libs glib-2.0 gdk-2.0 atk` -DMETACITY_DATADIR=\"/usr/share/metacity\" -I../.. -I../../src -I../../src/include tokentest.c ../../src/ui/theme.c ../../src/ui/gradient.c -o tp

=== debian/changelog ===
deepin-metacity (3.20.2-1) stable; urgency=low

  * Autobuild Tag 3.20.2 

 -- TagBuilder <tagbuilder@deepin.com>  Thu, 11 Aug 2016 15:12:47 +0000

deepin-metacity (3.20.1-1) stable; urgency=low

  * Autobuild Tag 3.20.1 

 -- TagBuilder <tagbuilder@deepin.com>  Thu, 21 Jul 2016 01:11:11 +0000

deepin-metacity (3.20.0-1) stable; urgency=low

  * Autobuild Tag 3.20.0 

 -- TagBuilder <tagbuilder@deepin.com>  Wed, 20 Jul 2016 05:31:09 +0000

deepin-metacity (3.18.1.12-2) unstable; urgency=low

  * Rebuild Version 3.18.1.12 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 13:06:09 +0000

deepin-metacity (3.18.1.12-1) unstable; urgency=low

  * Autobuild Tag 3.18.1.12 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 17 May 2016 19:03:56 +0000

deepin-metacity (3.18.1.7-1) stable; urgency=low

  * Autobuild Tag 3.18.1.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 20:10:56 +0000

deepin-metacity (3.18.1.6-1) stable; urgency=low

  * Autobuild Tag 3.18.1.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 19:49:46 +0000

deepin-metacity (3.18.1.4-1) stable; urgency=low

  * Autobuild Tag 3.18.1.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 23:04:47 +0000

deepin-metacity (3.18.1.2-2) stable; urgency=low

  * Rebuild Version 3.18.1.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 11:27:31 +0000

deepin-metacity (3.18.1.2-1) stable; urgency=low

  * Autobuild Tag 3.18.1.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:09:09 +0000

deepin-metacity (3.18.1.1-2) stable; urgency=low

  * Rebuild Version 3.18.1.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:19:14 +0000

deepin-metacity (3.18.1.1-1) stable; urgency=low

  * Autobuild Tag 3.18.1.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:18:49 +0000

deepin-metacity (1:3.17.2-4) unstable; urgency=medium

  * rename metacity to deepin-metacity 

 -- Sian Cao <yinshuiboy@gmail.com>  Thu, 16 Jul 2015 16:35:55 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Balló György <ballogyor+arch at gmail dot com>
# Contributor: Jan de Groot <jgc@archlinux.org>

pkgname=deepin-metacity
pkgver=3.22.24
pkgrel=3
pkgdesc="2D window manager for Deepin"
arch=('x86_64')
license=('GPL')
groups=('deepin')
depends=('dconf' 'libcanberra' 'libgtop' 'libsm' 'deepin-desktop-schemas' 'gtk3' 'startup-notification' 'zenity' 'bamf')
makedepends=('intltool' 'itstool' 'autoconf-archive' 'yelp-tools' 'python')
url="https://github.com/linuxdeepin/deepin-metacity"
source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/deepin-metacity/archive/$pkgver.tar.gz")
sha512sums=('dd92cb7fc169483d736abab78a9a7bf7261afba7d15aeab96775a7b67c745dc69f3b28931e7e2eb236a8f01507fa7cf5b30c139a509e36c71f8c666d93ef155f')

prepare() {
  cd $pkgname-$pkgver
  ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/$pkgname \
               --disable-static --disable-schemas-compile
  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool  

  sed -i 's|/usr/share/backgrounds/default_background.jpg|/usr/share/backgrounds/deepin/desktop.jpg|' src/ui/*.c
}

build() {
  cd $pkgname-$pkgver
  make
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}

=== debian/control ===
Source: deepin-metacity
Section: x11
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>
Build-Depends: cdbs (>= 0.4.41),
 debhelper (>= 8),
 dh-autoreconf,
 gnome-pkg-tools (>= 0.10),
 gsettings-desktop-schemas-dev (>= 3.3.0),
 intltool (>= 0.34.90),
 libcanberra-gtk3-dev,
 libglib2.0-dev (>= 2.36.0),
 libjson-glib-dev,
 libgtk-3-dev (>= 3.15.2),
 libgtop2-dev,
 libice-dev,
 libpango1.0-dev (>= 1.2.0),
 libsm-dev,
 libstartup-notification0-dev (>= 0.7),
 gnome-common,
 libx11-dev,
 libxcomposite-dev (>= 1:0.2),
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxinerama-dev,
 libxrandr-dev,
 libxrender-dev,
 libxt-dev,
 yelp-tools,
 libbamf3-dev,
 zenity,
Standards-Version: 3.9.6
Homepage: https://git.gnome.org/browse/metacity
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/metacity
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/metacity

Package: deepin-metacity
Architecture: any
Depends: 
 deepin-menu,
 deepin-metacity-common (= ${source:Version}),
 zenity,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: x-window-manager
Suggests: xdg-user-dirs
Description: lightweight GTK+ window manager
 Metacity is a small window manager, using GTK+ to do everything.
 .
 As the author says, metacity is a "Boring window manager for the adult in
 you. Many window managers are like Marshmallow Froot Loops; Metacity is
 like Cheerios."
 .
 This package contains the core binaries.

Package: libdeepin-metacity-private3
Section: libs
Architecture: any
Depends: deepin-metacity-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for the Metacity window manager
 Metacity is a small window manager, using GTK+ to do everything.
 .
 As the author says, metacity is a "Boring window manager for the adult in
 you. Many window managers are like Marshmallow Froot Loops; Metacity is
 like Cheerios."
 .
 This package contains the shared library.

Package: deepin-metacity-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: shared files for the Metacity window manager
 Metacity is a small window manager, using GTK+ to do everything.
 .
 As the author says, metacity is a "Boring window manager for the adult in
 you. Many window managers are like Marshmallow Froot Loops; Metacity is
 like Cheerios."
 .
 This package contains the shared files.

Package: libdeepin-metacity-dev
Section: libdevel
Architecture: any
Depends: libgtk-3-dev,
 libdeepin-metacity-private3 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for the Metacity window manager
 Metacity is a small window manager, using GTK+ to do everything.
 .
 As the author says, metacity is a "Boring window manager for the adult in
 you. Many window managers are like Marshmallow Froot Loops; Metacity is
 like Cheerios."
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed


override_dh_autoreconf:
	NOCONFIGURE=yes ./autogen.sh
